Skip to main content
Update a parameterized model
curl --request PATCH \
  --url https://api.ionworks.com/parameterized_models/{parameterized_model_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>"
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.ionworks.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

parameterized_model_id
string
required

Query Parameters

cell_spec_id
string
required

Body

application/json

Request body for updating a parameterized model (partial update).

name
string | null
description
string | null

Response

Successful Response